Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/REST/Client/ContentService.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\REST\Client;
8
9 use eZ\Publish\API\Repository\ContentService as APIContentService;
10 use eZ\Publish\API\Repository\Values\Content\ContentDraftList;
11 use eZ\Publish\API\Repository\Values\Content\ContentInfo;
12 use eZ\Publish\API\Repository\Values\Content\ContentCreateStruct;
13 use eZ\Publish\API\Repository\Values\Content\ContentUpdateStruct;
14 use eZ\Publish\API\Repository\Values\Content\ContentMetadataUpdateStruct;
15 use eZ\Publish\API\Repository\Values\Content\Language;
16 use eZ\Publish\API\Repository\Values\Content\LocationCreateStruct;
17 use eZ\Publish\API\Repository\Values\Content\RelationList;
18 use eZ\Publish\API\Repository\Values\Content\VersionInfo;
19 use eZ\Publish\API\Repository\Values\ContentType\ContentType;
20 use eZ\Publish\API\Repository\Values\Content\Query;
21 use eZ\Publish\API\Repository\Values\User\User;
22 use eZ\Publish\Core\REST\Common\RequestParser;
23 use eZ\Publish\Core\REST\Common\Input\Dispatcher;
24 use eZ\Publish\Core\REST\Common\Output\Visitor;
25 use eZ\Publish\Core\REST\Common\Message;
26
30 class ContentService implements APIContentService, Sessionable
31 {
33 private $client;
34
36 private $inputDispatcher;
37
39 private $outputVisitor;
40
42 private $requestParser;
43
45 private $contentTypeService;
46
54 public function __construct(HttpClient $client, Dispatcher $inputDispatcher, Visitor $outputVisitor, RequestParser $requestParser, ContentTypeService $contentTypeService)
55 {
56 $this->client = $client;
57 $this->inputDispatcher = $inputDispatcher;
58 $this->outputVisitor = $outputVisitor;
59 $this->requestParser = $requestParser;
60 $this->contentTypeService = $contentTypeService;
61 }
62
72 public function setSession($id)
73 {
74 if ($this->outputVisitor instanceof Sessionable) {
75 $this->outputVisitor->setSession($id);
76 }
77 }
78
91 public function loadContentInfo($contentId)
92 {
93 $response = $this->client->request(
94 'GET',
95 $contentId,
96 new Message(
97 ['Accept' => $this->outputVisitor->getMediaType('ContentInfo')]
98 )
99 );
100
101 $restContentInfo = $this->inputDispatcher->parse($response);
102
103 return $this->completeContentInfo($restContentInfo);
104 }
105
109 public function loadContentInfoList(array $contentIds): iterable
110 {
111 throw new \Exception('@todo: Implement.');
112 }
113
126 public function loadContentInfoByRemoteId($remoteId)
127 {
128 $response = $this->client->request(
129 'GET',
130 $this->requestParser->generate('objectByRemote', ['object' => $remoteId]),
131 new Message(
132 ['Accept' => $this->outputVisitor->getMediaType('ContentInfo')]
133 )
134 );
135
136 if ($response->statusCode == 307) {
137 $response = $this->client->request(
138 'GET',
139 $response->headers['Location'],
140 new Message(
141 ['Accept' => $this->outputVisitor->getMediaType('ContentInfo')]
142 )
143 );
144 }
145
146 $restContentInfo = $this->inputDispatcher->parse($response);
147
148 return $this->completeContentInfo($restContentInfo);
149 }
150
158 protected function completeContentInfo(Values\RestContentInfo $restContentInfo)
159 {
160 $versionUrlValues = $this->requestParser->parse(
161 'objectVersion',
162 $this->fetchCurrentVersionUrl($restContentInfo->currentVersionReference)
163 );
164
165 return new Values\Content\ContentInfo(
166 $this->contentTypeService,
167 [
168 'id' => $restContentInfo->id,
169 'name' => $restContentInfo->name,
170 'contentTypeId' => $restContentInfo->contentTypeId,
171 'ownerId' => $restContentInfo->ownerId,
172 'modificationDate' => $restContentInfo->modificationDate,
173 'publishedDate' => $restContentInfo->publishedDate,
174 'published' => $restContentInfo->published,
175 'alwaysAvailable' => $restContentInfo->alwaysAvailable,
176 'remoteId' => $restContentInfo->remoteId,
177 'mainLanguageCode' => $restContentInfo->mainLanguageCode,
178 'mainLocationId' => $restContentInfo->mainLocationId,
179 'sectionId' => $restContentInfo->sectionId,
180
181 'currentVersionNo' => $versionUrlValues['version'],
182 ]
183 );
184 }
185
194 protected function fetchCurrentVersionUrl($currentVersionReference)
195 {
196 $versionResponse = $this->client->request(
197 'GET',
198 $currentVersionReference
199 );
200
201 if ($this->isErrorResponse($versionResponse)) {
202 return $this->inputDispatcher->parse($versionResponse);
203 }
204
205 return $versionResponse->headers['Location'];
206 }
207
215 protected function isErrorResponse(Message $response)
216 {
217 return strpos($response->headers['Content-Type'], 'application/vnd.ez.api.ErrorMessage') === 0;
218 }
219
233 public function loadVersionInfo(ContentInfo $contentInfo, $versionNo = null)
234 {
235 throw new \Exception('@todo: Implement.');
236 }
237
251 public function loadVersionInfoById($contentId, $versionNo = null)
252 {
253 throw new \Exception('@todo: Implement.');
254 }
255
271 public function loadContentByContentInfo(ContentInfo $contentInfo, array $languages = null, $versionNo = null, $useAlwaysAvailable = true)
272 {
273 return $this->loadContent(
274 $contentInfo->id,
275 $languages,
276 $versionNo
277 );
278 }
279
291 public function loadContentByVersionInfo(VersionInfo $versionInfo, array $languages = null, $useAlwaysAvailable = true)
292 {
293 $contentInfo = $versionInfo->getContentInfo();
294
295 return $this->loadContent($contentInfo->id, $languages, $versionInfo->versionNo);
296 }
297
316 public function loadContent($contentId, array $languages = null, $versionNo = null, $useAlwaysAvailable = true)
317 {
318 // $contentId should already be a URL!
319 $contentIdValues = $this->requestParser->parse('object', $contentId);
320
321 $url = '';
322 if ($versionNo === null) {
323 $url = $this->fetchCurrentVersionUrl(
324 $this->requestParser->generate(
325 'objectCurrentVersion',
326 [
327 'object' => $contentIdValues['object'],
328 ]
329 )
330 );
331 } else {
332 $url = $this->requestParser->generate(
333 'objectVersion',
334 [
335 'object' => $contentIdValues['object'],
336 'version' => $versionNo,
337 ]
338 );
339 }
340
341 $response = $this->client->request(
342 'GET',
343 $url,
344 new Message(
345 ['Accept' => $this->outputVisitor->getMediaType('Version')]
346 )
347 );
348
349 return $this->inputDispatcher->parse($response);
350 }
351
367 public function loadContentByRemoteId($remoteId, array $languages = null, $versionNo = null, $useAlwaysAvailable = true)
368 {
369 $contentInfo = $this->loadContentInfoByRemoteId($remoteId);
370
371 return $this->loadContentByContentInfo($contentInfo, $languages, $versionNo);
372 }
373
396 public function createContent(ContentCreateStruct $contentCreateStruct, array $locationCreateStructs = [])
397 {
398 throw new \Exception('@todo: Implement.');
399 }
400
414 public function updateContentMetadata(ContentInfo $contentInfo, ContentMetadataUpdateStruct $contentMetadataUpdateStruct)
415 {
416 throw new \Exception('@todo: Implement.');
417 }
418
426 public function deleteContent(ContentInfo $contentInfo)
427 {
428 throw new \Exception('@todo: Implement.');
429 }
430
447 public function createContentDraft(
448 ContentInfo $contentInfo,
449 VersionInfo $versionInfo = null,
450 User $creator = null,
451 ?Language $language = null
452 ) {
453 throw new \Exception('@todo: Implement.');
454 }
455
465 public function countContentDrafts(?User $user = null): int
466 {
467 throw new \Exception('@todo: Implement.');
468 }
469
480 public function loadContentDrafts(User $user = null)
481 {
482 throw new \Exception('@todo: Implement.');
483 }
484
488 public function loadContentDraftList(?User $user = null, int $offset = 0, int $limit = -1): ContentDraftList
489 {
490 throw new \Exception('@todo: Implement.');
491 }
492
506 public function updateContent(VersionInfo $versionInfo, ContentUpdateStruct $contentUpdateStruct)
507 {
508 throw new \Exception('@todo: Implement.');
509 }
510
525 public function publishVersion(VersionInfo $versionInfo, array $translations = Language::ALL)
526 {
527 throw new \Exception('@todo: Implement.');
528 }
529
539 public function deleteVersion(VersionInfo $versionInfo)
540 {
541 throw new \Exception('@todo: Implement.');
542 }
543
555 public function loadVersions(ContentInfo $contentInfo, ?int $status = null)
556 {
557 throw new \Exception('@todo: Implement.');
558 }
559
572 public function copyContent(ContentInfo $contentInfo, LocationCreateStruct $destinationLocationCreateStruct, VersionInfo $versionInfo = null)
573 {
574 throw new \Exception('@todo: Implement.');
575 }
576
587 public function findContent(Query $query, array $languageFilter, $filterOnUserPermissions = true)
588 {
589 throw new \Exception('@todo: Implement.');
590 }
591
605 public function findSingle(Query $query, array $languageFilter, $filterOnUserPermissions = true)
606 {
607 throw new \Exception('@todo: Implement.');
608 }
609
619 public function loadRelations(VersionInfo $versionInfo)
620 {
621 throw new \Exception('@todo: Implement.');
622 }
623
627 public function countReverseRelations(ContentInfo $contentInfo): int
628 {
629 throw new \Exception('@todo: Implement.');
630 }
631
644 public function loadReverseRelations(ContentInfo $contentInfo)
645 {
646 throw new \Exception('@todo: Implement.');
647 }
648
652 public function loadReverseRelationList(ContentInfo $contentInfo, int $offset = 0, int $limit = -1): RelationList
653 {
654 throw new \Exception('@todo: Implement.');
655 }
656
671 public function addRelation(VersionInfo $sourceVersion, ContentInfo $destinationContent)
672 {
673 throw new \Exception('@todo: Implement.');
674 }
675
686 public function deleteRelation(VersionInfo $sourceVersion, ContentInfo $destinationContent)
687 {
688 throw new \Exception('@todo: Implement.');
689 }
690
701 public function newContentCreateStruct(ContentType $contentType, $mainLanguageCode)
702 {
703 throw new \Exception('@todo: Implement.');
704 }
705
711 public function newContentMetadataUpdateStruct()
712 {
713 throw new \Exception('@todo: Implement.');
714 }
715
721 public function newContentUpdateStruct()
722 {
723 throw new \Exception('@todo: Implement.');
724 }
725
726 // Ignore this eZ Publish 5 feature by now.
727
728 // @codeCoverageIgnoreStart
729
733 public function removeTranslation(ContentInfo $contentInfo, $languageCode)
734 {
735 throw new \Exception('@todo: Implement.');
736 }
737
741 public function deleteTranslation(ContentInfo $contentInfo, $languageCode)
742 {
743 throw new \Exception('@todo: Implement.');
744 }
745
749 public function deleteTranslationFromDraft(VersionInfo $versionInfo, $languageCode)
750 {
751 throw new \Exception('@todo: Implement.');
752 }
753
767 public function loadContentListByContentInfo(array $contentInfoList, array $languages = [], $useAlwaysAvailable = true)
768 {
769 throw new \Exception('@todo: Implement.');
770 }
771
782 public function hideContent(ContentInfo $contentInfo): void
783 {
784 throw new \Exception('@todo: Implement.');
785 }
786
795 public function revealContent(ContentInfo $contentInfo): void
796 {
797 throw new \Exception('@todo: Implement.');
798 }
799 }
eZ\Publish\API\Repository\Values\ContentType\ContentType
Definition: API/Repository/Values/ContentType/ContentType.php:36
eZ\Publish\API\Repository\Values\Content\ContentCreateStruct
Definition: API/Repository/Values/Content/ContentCreateStruct.php:15
eZ\Publish\API\Repository\Values\Content\ContentDraftList
List of content drafts.
Definition: ContentDraftList.php:20
eZ\Publish\API\Repository\Values\Content\ContentInfo
Definition: API/Repository/Values/Content/ContentInfo.php:31
eZ\Publish\API\Repository\Values\Content\ContentMetadataUpdateStruct
With this class data can be provided to update version independent fields of the content.
Definition: ContentMetadataUpdateStruct.php:16
eZ\Publish\API\Repository\Values\Content\ContentUpdateStruct
Definition: API/Repository/Values/Content/ContentUpdateStruct.php:15
eZ\Publish\API\Repository\Values\Content\Language
Definition: API/Repository/Values/Content/Language.php:20
eZ\Publish\API\Repository\Values\Content\Language\ALL
const ALL
Constant for use in API's to specify that you want to load all languages.
Definition: API/Repository/Values/Content/Language.php:24
eZ\Publish\API\Repository\Values\Content\LocationCreateStruct
This class is used to create a new Location for a content object.
Definition: API/Repository/Values/Content/LocationCreateStruct.php:15
eZ\Publish\API\Repository\Values\Content\Query
This class is used to perform a Content query.
Definition: API/Repository/Values/Content/Query.php:15
eZ\Publish\API\Repository\Values\Content\RelationList
List of relations.
Definition: API/Repository/Values/Content/RelationList.php:20
eZ\Publish\API\Repository\Values\Content\VersionInfo
Definition: API/Repository/Values/Content/VersionInfo.php:27
eZ\Publish\API\Repository\Values\Content\VersionInfo\getContentInfo
getContentInfo()
Content of the content this version belongs to.
eZ\Publish\API\Repository\Values\User\User
Definition: Publish/API/Repository/Values/User/User.php:24
eZ\Publish\Core\REST\Client\ContentService
Definition: Core/REST/Client/ContentService.php:31
eZ\Publish\Core\REST\Client\ContentService\copyContent
copyContent(ContentInfo $contentInfo, LocationCreateStruct $destinationLocationCreateStruct, VersionInfo $versionInfo=null)
Copies the content to a new location.
Definition: Core/REST/Client/ContentService.php:572
eZ\Publish\Core\REST\Client\ContentService\updateContentMetadata
updateContentMetadata(ContentInfo $contentInfo, ContentMetadataUpdateStruct $contentMetadataUpdateStruct)
Updates the metadata.
Definition: Core/REST/Client/ContentService.php:414
eZ\Publish\Core\REST\Client\ContentService\countReverseRelations
countReverseRelations(ContentInfo $contentInfo)
{Counts all incoming relations for the given content object.int The number of reverse relations (Rela...
Definition: Core/REST/Client/ContentService.php:627
eZ\Publish\Core\REST\Client\ContentService\newContentUpdateStruct
newContentUpdateStruct()
Instantiates a new content update struct.
Definition: Core/REST/Client/ContentService.php:721
eZ\Publish\Core\REST\Client\ContentService\loadContentByRemoteId
loadContentByRemoteId($remoteId, array $languages=null, $versionNo=null, $useAlwaysAvailable=true)
Loads content in a version for the content object reference by the given remote id.
Definition: Core/REST/Client/ContentService.php:367
eZ\Publish\Core\REST\Client\ContentService\loadVersionInfo
loadVersionInfo(ContentInfo $contentInfo, $versionNo=null)
Loads a version info of the given content object.
Definition: Core/REST/Client/ContentService.php:233
eZ\Publish\Core\REST\Client\ContentService\deleteTranslationFromDraft
deleteTranslationFromDraft(VersionInfo $versionInfo, $languageCode)
{Delete specified Translation from a Content Draft.When using together with ContentService::publishVe...
Definition: Core/REST/Client/ContentService.php:749
eZ\Publish\Core\REST\Client\ContentService\loadContentInfo
loadContentInfo($contentId)
Loads a content info object.
Definition: Core/REST/Client/ContentService.php:91
eZ\Publish\Core\REST\Client\ContentService\createContentDraft
createContentDraft(ContentInfo $contentInfo, VersionInfo $versionInfo=null, User $creator=null, ?Language $language=null)
Creates a draft from a published or archived version.
Definition: Core/REST/Client/ContentService.php:447
eZ\Publish\Core\REST\Client\ContentService\loadContentByContentInfo
loadContentByContentInfo(ContentInfo $contentInfo, array $languages=null, $versionNo=null, $useAlwaysAvailable=true)
Loads content in a version for the given content info object.
Definition: Core/REST/Client/ContentService.php:271
eZ\Publish\Core\REST\Client\ContentService\loadContentDrafts
loadContentDrafts(User $user=null)
Loads drafts for a user.
Definition: Core/REST/Client/ContentService.php:480
eZ\Publish\Core\REST\Client\ContentService\deleteVersion
deleteVersion(VersionInfo $versionInfo)
Removes the given version.
Definition: Core/REST/Client/ContentService.php:539
eZ\Publish\Core\REST\Client\ContentService\loadContent
loadContent($contentId, array $languages=null, $versionNo=null, $useAlwaysAvailable=true)
Loads content in a version of the given content object.
Definition: Core/REST/Client/ContentService.php:316
eZ\Publish\Core\REST\Client\ContentService\deleteRelation
deleteRelation(VersionInfo $sourceVersion, ContentInfo $destinationContent)
Removes a relation of type COMMON from a draft.
Definition: Core/REST/Client/ContentService.php:686
eZ\Publish\Core\REST\Client\ContentService\$requestParser
$requestParser
Definition: Core/REST/Client/ContentService.php:42
eZ\Publish\Core\REST\Client\ContentService\__construct
__construct(HttpClient $client, Dispatcher $inputDispatcher, Visitor $outputVisitor, RequestParser $requestParser, ContentTypeService $contentTypeService)
Definition: Core/REST/Client/ContentService.php:54
eZ\Publish\Core\REST\Client\ContentService\$client
$client
Definition: Core/REST/Client/ContentService.php:33
eZ\Publish\Core\REST\Client\ContentService\loadVersionInfoById
loadVersionInfoById($contentId, $versionNo=null)
Loads a version info of the given content object id.
Definition: Core/REST/Client/ContentService.php:251
eZ\Publish\Core\REST\Client\ContentService\$contentTypeService
$contentTypeService
Definition: Core/REST/Client/ContentService.php:45
eZ\Publish\Core\REST\Client\ContentService\loadContentInfoList
loadContentInfoList(array $contentIds)
{Bulk-load ContentInfo items by id's.Note: It does not throw exceptions on load, just skips erroneous...
Definition: Core/REST/Client/ContentService.php:109
eZ\Publish\Core\REST\Client\ContentService\countContentDrafts
countContentDrafts(?User $user=null)
Counts drafts for a user.
Definition: Core/REST/Client/ContentService.php:465
eZ\Publish\Core\REST\Client\ContentService\loadReverseRelations
loadReverseRelations(ContentInfo $contentInfo)
Loads all incoming relations for a content object.
Definition: Core/REST/Client/ContentService.php:644
eZ\Publish\Core\REST\Client\ContentService\loadContentDraftList
loadContentDraftList(?User $user=null, int $offset=0, int $limit=-1)
{Loads drafts for a user when content is not in the trash.The list is sorted by modification date....
Definition: Core/REST/Client/ContentService.php:488
eZ\Publish\Core\REST\Client\ContentService\loadVersions
loadVersions(ContentInfo $contentInfo, ?int $status=null)
Loads all versions for the given content.
Definition: Core/REST/Client/ContentService.php:555
eZ\Publish\Core\REST\Client\ContentService\loadContentListByContentInfo
loadContentListByContentInfo(array $contentInfoList, array $languages=[], $useAlwaysAvailable=true)
Bulk-load Content items by the list of ContentInfo Value Objects.
Definition: Core/REST/Client/ContentService.php:767
eZ\Publish\Core\REST\Client\ContentService\isErrorResponse
isErrorResponse(Message $response)
Checks if the given response is an error.
Definition: Core/REST/Client/ContentService.php:215
eZ\Publish\Core\REST\Client\ContentService\createContent
createContent(ContentCreateStruct $contentCreateStruct, array $locationCreateStructs=[])
Creates a new content draft assigned to the authenticated user.
Definition: Core/REST/Client/ContentService.php:396
eZ\Publish\Core\REST\Client\ContentService\findContent
findContent(Query $query, array $languageFilter, $filterOnUserPermissions=true)
Finds content objects for the given query.
Definition: Core/REST/Client/ContentService.php:587
eZ\Publish\Core\REST\Client\ContentService\removeTranslation
removeTranslation(ContentInfo $contentInfo, $languageCode)
{Remove Content Object translation from all Versions (including archived ones) of a Content Object....
Definition: Core/REST/Client/ContentService.php:733
eZ\Publish\Core\REST\Client\ContentService\newContentMetadataUpdateStruct
newContentMetadataUpdateStruct()
Instantiates a new content meta data update struct.
Definition: Core/REST/Client/ContentService.php:711
eZ\Publish\Core\REST\Client\ContentService\completeContentInfo
completeContentInfo(Values\RestContentInfo $restContentInfo)
Returns a complete ContentInfo based on $restContentInfo.
Definition: Core/REST/Client/ContentService.php:158
eZ\Publish\Core\REST\Client\ContentService\newContentCreateStruct
newContentCreateStruct(ContentType $contentType, $mainLanguageCode)
Instantiates a new content create struct object.
Definition: Core/REST/Client/ContentService.php:701
eZ\Publish\Core\REST\Client\ContentService\deleteContent
deleteContent(ContentInfo $contentInfo)
Deletes a content object including all its versions and locations including their subtrees.
Definition: Core/REST/Client/ContentService.php:426
eZ\Publish\Core\REST\Client\ContentService\updateContent
updateContent(VersionInfo $versionInfo, ContentUpdateStruct $contentUpdateStruct)
Updates the fields of a draft.
Definition: Core/REST/Client/ContentService.php:506
eZ\Publish\Core\REST\Client\ContentService\setSession
setSession($id)
Set session ID.
Definition: Core/REST/Client/ContentService.php:72
eZ\Publish\Core\REST\Client\ContentService\revealContent
revealContent(ContentInfo $contentInfo)
Reveals Content hidden by hideContent API.
Definition: Core/REST/Client/ContentService.php:795
eZ\Publish\Core\REST\Client\ContentService\hideContent
hideContent(ContentInfo $contentInfo)
Hides Content by making all the Locations appear hidden.
Definition: Core/REST/Client/ContentService.php:782
eZ\Publish\Core\REST\Client\ContentService\loadContentInfoByRemoteId
loadContentInfoByRemoteId($remoteId)
Loads a content info object for the given remoteId.
Definition: Core/REST/Client/ContentService.php:126
eZ\Publish\Core\REST\Client\ContentService\addRelation
addRelation(VersionInfo $sourceVersion, ContentInfo $destinationContent)
Adds a relation of type common.
Definition: Core/REST/Client/ContentService.php:671
eZ\Publish\Core\REST\Client\ContentService\fetchCurrentVersionUrl
fetchCurrentVersionUrl($currentVersionReference)
Returns the URL of the current version referenced by $currentVersionReference.
Definition: Core/REST/Client/ContentService.php:194
eZ\Publish\Core\REST\Client\ContentService\$outputVisitor
$outputVisitor
Definition: Core/REST/Client/ContentService.php:39
eZ\Publish\Core\REST\Client\ContentService\loadRelations
loadRelations(VersionInfo $versionInfo)
Loads all outgoing relations for the given version.
Definition: Core/REST/Client/ContentService.php:619
eZ\Publish\Core\REST\Client\ContentService\findSingle
findSingle(Query $query, array $languageFilter, $filterOnUserPermissions=true)
Performs a query for a single content object.
Definition: Core/REST/Client/ContentService.php:605
eZ\Publish\Core\REST\Client\ContentService\$inputDispatcher
$inputDispatcher
Definition: Core/REST/Client/ContentService.php:36
eZ\Publish\Core\REST\Client\ContentService\loadReverseRelationList
loadReverseRelationList(ContentInfo $contentInfo, int $offset=0, int $limit=-1)
{Loads all incoming relations for a content object.The relations come only from published versions of...
Definition: Core/REST/Client/ContentService.php:652
eZ\Publish\Core\REST\Client\ContentService\loadContentByVersionInfo
loadContentByVersionInfo(VersionInfo $versionInfo, array $languages=null, $useAlwaysAvailable=true)
Loads content in the version given by version info.
Definition: Core/REST/Client/ContentService.php:291
eZ\Publish\Core\REST\Client\ContentService\deleteTranslation
deleteTranslation(ContentInfo $contentInfo, $languageCode)
{Delete Content item Translation from all Versions (including archived ones) of a Content Object....
Definition: Core/REST/Client/ContentService.php:741
eZ\Publish\Core\REST\Client\ContentService\publishVersion
publishVersion(VersionInfo $versionInfo, array $translations=Language::ALL)
Publishes a content version.
Definition: Core/REST/Client/ContentService.php:525
eZ\Publish\Core\REST\Client\ContentTypeService
Definition: Core/REST/Client/ContentTypeService.php:36
eZ\Publish\Core\REST\Client\Values\Content\ContentInfo
Definition: Core/REST/Client/Values/Content/ContentInfo.php:33
eZ\Publish\Core\REST\Common\Input\Dispatcher
Input dispatcher.
Definition: Dispatcher.php:16
eZ\Publish\Core\REST\Common\Message
Simple response struct.
Definition: Core/REST/Common/Message.php:13
eZ\Publish\Core\REST\Common\Output\Visitor
Visits a value object into an HTTP Response.
Definition: Visitor.php:15
eZ\Publish\API\Repository\ContentService
Definition: API/Repository/ContentService.php:27
eZ\Publish\Core\REST\Client\HttpClient
Interface for Http Client implementations.
Definition: REST/Client/HttpClient.php:15
eZ\Publish\Core\REST\Client\Sessionable
Implementation of the \eZ\Publish\API\Repository\SectionService interface.
Definition: Sessionable.php:16
eZ\Publish\Core\REST\Common\RequestParser
Interface for Request parsers.
Definition: RequestParser.php:13
eZ\Publish\Core\REST\Client
Definition: Core/REST/Client/ContentService.php:7
eZ\Publish\Core\REST\Common\RequestParser
Definition: EzPublish.php:7
eZ\Publish\SPI\Persistence\Content\Type
Definition: SPI/Persistence/Content/Type/CreateStruct.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.